commit:     7eddaf3de176a85ca70b31ccca56d0f08e320091
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Feb  2 22:54:33 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Feb  2 23:21:02 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7eddaf3d

dev-python/nuitka: Bump to 0.6.19.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/nuitka/Manifest               |  1 +
 dev-python/nuitka/nuitka-0.6.19.5.ebuild | 49 ++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/nuitka/Manifest b/dev-python/nuitka/Manifest
index ac9fceb7a292..e54b21ef7d2b 100644
--- a/dev-python/nuitka/Manifest
+++ b/dev-python/nuitka/Manifest
@@ -1 +1,2 @@
 DIST Nuitka-0.6.19.4.tar.gz 3728051 BLAKE2B 
561dd0657b0f5f7c10da18d4b78be09337c998951542c767e2888648a76e1332d71b83952cff3aa6fb64ceb5c6f1103f26fa9d9b0661c7b8cdf76c20d75cf51f
 SHA512 
3b7a5a5d5191b93ee96e9cb98822a26462c6a4c5fdbc7abaf9553238653e2debc986a1b307c62ffcaccc8618adadb5c794d436f75c957c733d8471612820c7be
+DIST Nuitka-0.6.19.5.tar.gz 3728119 BLAKE2B 
8300356499e53185cd2b6a547b8deef818bfd2c775e8ee2517bc79d741f81af1a7745b2eac018d0df3b329b7d4719dbac71159d6efd6ef35ccff4c63daf8e4cc
 SHA512 
bc6b7d41af7bfdeb236143640ab1dc6ea0b811f85eaf10c8d232907d53c9643be25b4c0cdc3946204d6501c7009f8e79f36b5b6318d36a6e77052d9e2c1ec986

diff --git a/dev-python/nuitka/nuitka-0.6.19.5.ebuild 
b/dev-python/nuitka/nuitka-0.6.19.5.ebuild
new file mode 100644
index 000000000000..1a0e8e46dbbb
--- /dev/null
+++ b/dev-python/nuitka/nuitka-0.6.19.5.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..9} )
+
+inherit distutils-r1 flag-o-matic optfeature
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="https://www.nuitka.net";
+SRC_URI="https://nuitka.net/releases/${P^}.tar.gz";
+S="${WORKDIR}/${P^}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-util/scons[${PYTHON_USEDEP}]"
+BDEPEND="
+       ${RDEPEND}
+       test? ( dev-util/ccache )
+"
+
+DOCS=( Changelog.pdf Developer_Manual.pdf README.pdf )
+
+distutils-r1_src_prepare() {
+       # remove vendored version of SCons that is Python2 only
+       # this should be removed when upstream removes support for Python2
+       rm -vR "${PN}/build/inline_copy/lib/scons-2.3.2/SCons" || die
+       eapply_user
+}
+
+python_install() {
+       distutils-r1_python_install
+       doman doc/nuitka3.1 doc/nuitka3-run.1
+}
+
+python_test() {
+       append-ldflags -Wl,--no-warn-search-mismatch
+       ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+       optfeature "support for stand-alone executables" app-admin/chrpath
+}

Reply via email to